var set_response_text_url = function(w, resp){
	schedule_once(async_set_response_text_url.bind(w, w, resp), 0.1);
}

var async_set_response_text_url = async function(w, resp){
	console.log('arguments=', arguments);
	var url = await resp.text();
	w.set_url(url);
	w.play();
}
